<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$anoCorrente=$sessao->getVar('anocorrente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
 $pdf->open();//abre o fpdf
 //$pdf->AddPage();//adicionando a primera pafina
 $pdf->SetFont('Arial','',12);
 $pdf->SetDrawColor(10,10,10);
 $maximoHAdobe=297;//isso para vertical
 $maximoLAdobe=210;//isso para vertical
 $maximoLAdobe=297;//isso para horizontal
 $maximoHAdobe=210;//isso para horizontal
 $margemEsquerdaExterna=10;
 $margemEsquerda=10;
 $margemDireita=$maximoLAdobe-6;
 $larguraUtil=$maximoLAdobe-16;
 $futer=$maximoHAdobe-10;
 //$larguraUtil=$maximoLAdobe;
 $cinza=220;
 $fonte="Arial";
 $nomeOperador=5;
 $pdf->SetFillColor($cinza,$cinza,$cinza); 
 $linha=0;
 $posicaox1=10;
 $larg1=20;
 $larg2=20;
 $larg3=30;
 $larg4=50;
 $larg5=15;
 $larg6=10;
 $larg7=10;
 $larg8=10;
 $larg9=10;
 $larg10=10;

$userTTAP = new amostras();
 $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
 $userTTAP->selecionaCampos($userTTAP);
 $disparaCabecalho=1;
 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
   while ($resTTAP = $userTTAP->retornaDados()):
     if($disparaCabecalho==1):
	     $disparaCabecalho=0;
		 $pdf->AddPage();//adicionando a primera pafina 
	     $disparaCabecalho=0;	
	 	 $maximoLAdobe=210;
		 $maximoHAdobe=297;
	     $margemDireita=$maximoLAdobe-6;
		 $larguraUtil=$maximoLAdobe-16;
		 $cinza=220;
		 $pdf->SetFillColor($cinza,$cinza,$cinza);
		 $grosso=0.7;
		 $medio=0.4;
		 $fino=0.3;
		 $extraFino=0.2;
		 //as cotas
		 $cota1=5;//inicio de tudo
		 $cota4=85;
	     $cota6=0;
		 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
		 $cota8=260;
	     $cotaFinal=270;  
		 //LINHAS DO CONTORNO
		 //$pdf->SetLineWidth($grosso);
		 $pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
		 $pdf->Line($margemEsquerda,$cota1,$margemEsquerda,$cotaFinal);//linha externa esquerda	
		 $pdf->Line($margemEsquerda,$cotaFinal,$margemDireita,$cotaFinal);//linha inferior	
		 $pdf->Line($margemDireita,$cota1,$margemDireita,$cotaFinal);	//linha direita
		 //$pdf->SetLineWidth($fino);
	 	 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
		 $pdf->SetFont('Arial','B',8);
		 $y1=5;
		 $altura=4.7;
		 $anoX=substr($anoCorrente,2);
		 $pdf->setXY($margemEsquerda,$y1);
		 $pdf->Cell(40,$altura,utf8_decode('Amostra Nº:').$vetorCapturaGeral[1].'/'.$anoX,1,0,'L'); //imprime a amostra
		 $pdf->Cell(80,$altura,utf8_decode('TESTE DE GERMINAÇÃO'),1,0,'C'); //imprime a amostra
		 
		 $pdf->Cell(74,$altura,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),1,1,'C'); //imprime a ESPECIE
		 $pdf->SetFont('Arial','',8);
         $cota5=$y1+$altura;
         $umQuarto=48.5;
		 $metade=97;
         $cotaY0=$cota5+0*$altura;//era 5a
         $cotaY1=$cota5+1*$altura;
         $cotaY2=$cota5+2*$altura;
         $cotaY3=$cota5+3*$altura;
         $cotaY4=$cota5+4*$altura;
         $cotaY5=$cota5+5*$altura;
         $cotaY6=$cota5+6*$altura;
         $cotaY7=$cota5+7*$altura;
         $cotaY8=$cota5+8*$altura;
         $cotaY9=$cota5+9*$altura;
         $cotaY10=$cota5+10*$altura;
         $cotaY11=$cota5+11*$altura;
         $cotaY12=$cota5+12*$altura;
         $cotaY13=$cota5+13*$altura;
         $cotaY14=$cota5+14*$altura;
         $cotaY15=$cota5+15*$altura;
         $cotaY16=$cota5+16*$altura;
         $cotaY17=$cota5+17*$altura;
         $cotaY18=$cota5+18*$altura;
         $cotaY19=$cota5+19*$altura;
         $cotaY20=$cota5+20*$altura;
         $cotaY21=$cota5+21*$altura;
         $cotaY22=$cota5+22*$altura;
         $cotaY23=$cota5+23*$altura;
         $cotaY24=$cota5+24*$altura;
         $cotaY25=$cota5+25*$altura;
         $cotaY26=$cota5+26*$altura;
         $cotaY27=$cota5+27*$altura;
         $cotaY28=$cota5+28*$altura;
         $cotaY29=$cota5+29*$altura;
         $cotaY30=$cota5+30*$altura;
         $cotaY31=$cota5+31*$altura;
         $cotaY32=$cota5+32*$altura;
         $cotaY33=$cota5+33*$altura;
         $cotaY34=$cota5+34*$altura;
         $cotaY35=$cota5+35*$altura;
         $cotaY36=$cota5+36*$altura;
         $cotaY37=$cota5+37*$altura;
         $cotaY38=$cota5+38*$altura;
         $cotaY39=$cota5+39*$altura;
         $cotaY40=$cota5+40*$altura;
         $cotaY41=$cota5+41*$altura;
         $cotaY42=$cota5+42*$altura;
         $cotaY43=$cota5+43*$altura;
         $cotaY44=$cota5+44*$altura;
         $cotaY45=$cota5+45*$altura;
         $cotaY46=$cota5+46*$altura;
         $cotaY47=$cota5+47*$altura;
         $cotaY48=$cota5+48*$altura;
         $cotaY49=$cota5+49*$altura;
         $largColu=10;

		 $pdf->setXY($margemEsquerda,$cotaY0);
		 $pdf->cell($umQuarto,$altura,utf8_decode('Início:       /       /'.$anoX),1,0,'L');
		 $pdf->cell($umQuarto,$altura,utf8_decode('Término:       /       /'.$anoX),1,0,'L');
		 $pdf->cell($umQuarto,$altura,utf8_decode('Início:       /      /'.$anoX),1,0,'L');
		 $pdf->cell($umQuarto,$altura,utf8_decode('Término:       /       /'.$anoX),1,0,'L');

		 $pdf->setXY($margemEsquerda,$cotaY1);
		 $pdf->cell($umQuarto,$altura,'Substrato:',1,0,'L');
		 $pdf->cell($umQuarto,$altura,utf8_decode('Temperatura:           ºC'),1,0,'L');
		 $pdf->cell($umQuarto,$altura,'Substrato:',1,0,'L');
		 $pdf->cell($umQuarto,$altura,utf8_decode('Temperatura:           ºC'),1,0,'L');

		 $pdf->setXY($margemEsquerda,$cotaY2);
		 $pdf->cell($umQuarto,$altura,'Tratamento:',1,0,'L');
		 $pdf->cell($umQuarto,$altura,'Dur. do teste:',1,0,'L');
		 $pdf->cell($umQuarto,$altura,'Tratamento:',1,0,'L');
		 $pdf->cell($umQuarto,$altura,'Dur. do teste:',1,0,'L');

		 $pdf->setXY($margemEsquerda,$cotaY3);
		 $pdf->cell($umQuarto,$altura,'Data/Rubr.:    /     /'.$anoX,1,0,'L');
		 $pdf->cell($umQuarto,$altura,'Contagens:        -     dias',1,0,'L');
		 $pdf->cell($umQuarto,$altura,'Data/Rubr.:    /     /'.$anoX,1,0,'L');
		 $pdf->cell($umQuarto,$altura,'Contagens:        -     dias',1,0,'L');
 
		 $pdf->setXY($margemEsquerda,$cotaY4);
		 $pdf->cell($metade,$altura,utf8_decode('Germinador Nº'),1,0,'L');
		 $pdf->cell($metade,$altura,utf8_decode('Germinador Nº'),1,0,'L');


//SETOR DE REPETICOES
         //LINHAS  INTEIRAS HORIZONTAIS
		 $ybase=$cotaY6;
		 $pdf->Line($margemEsquerda,$ybase+1*$altura,$margemDireita,$ybase+1*$altura);//acima da palavra normais
		 $pdf->Line($margemEsquerda,$ybase+3*$altura,$margemDireita,$ybase+3*$altura);	
		 $pdf->Line($margemEsquerda,$ybase+4*$altura,$margemDireita,$ybase+4*$altura);	
		 $pdf->Line($margemEsquerda,$ybase+6*$altura,$margemDireita,$ybase+6*$altura);	
		 $pdf->Line($margemEsquerda,$ybase+7*$altura,$margemDireita,$ybase+7*$altura);	
		 $pdf->Line($margemEsquerda,$ybase+9*$altura,$margemDireita,$ybase+9*$altura);	
		 $pdf->Line($margemEsquerda,$ybase+10*$altura,$margemDireita,$ybase+10*$altura);	
		 $pdf->Line($margemEsquerda,$ybase+12*$altura,$margemDireita,$ybase+12*$altura);	
		 $pdf->Line($margemEsquerda,$ybase+13*$altura,$margemDireita,$ybase+13*$altura);	
         //LINHAS  parciais HORIZONTAIS da esquerda
		 $pdf->Line($margemEsquerda,$ybase+2*$altura,$margemEsquerda+40+4*$largColu,$ybase+2*$altura);//
		 $pdf->Line($margemEsquerda,$ybase+5*$altura,$margemEsquerda+40+4*$largColu,$ybase+5*$altura);//
		 $pdf->Line($margemEsquerda,$ybase+8*$altura,$margemEsquerda+40+4*$largColu,$ybase+8*$altura);//
		 $pdf->Line($margemEsquerda,$ybase+11*$altura,$margemEsquerda+40+4*$largColu,$ybase+11*$altura);//
         //LINHAS  parciais HORIZONTAIS da esquerda
		 $pdf->Line($margemEsquerda+$metade,$ybase+2*$altura,$margemEsquerda+$metade+40+4*$largColu,$ybase+2*$altura);//
		 $pdf->Line($margemEsquerda+$metade,$ybase+5*$altura,$margemEsquerda+$metade+40+4*$largColu,$ybase+5*$altura);//
		 $pdf->Line($margemEsquerda+$metade,$ybase+8*$altura,$margemEsquerda+$metade+40+4*$largColu,$ybase+8*$altura);//
		 $pdf->Line($margemEsquerda+$metade,$ybase+11*$altura,$margemEsquerda+$metade+40+4*$largColu,$ybase+11*$altura);//
		 
	 

         //LINHAS  VERTICAIS
		 $ybase=$cotaY5;
		 $pdf->Line($margemEsquerda+40+$largColu*0,$ybase,$margemEsquerda+40+$largColu*0,$cotaY19);//
		 $pdf->Line($margemEsquerda+40+$largColu*1,$ybase,$margemEsquerda+40+$largColu*1,$cotaY19);//
		 $pdf->Line($margemEsquerda+40+$largColu*2,$ybase,$margemEsquerda+40+$largColu*2,$cotaY19);//
		 $pdf->Line($margemEsquerda+40+$largColu*3,$ybase,$margemEsquerda+40+$largColu*3,$cotaY19);//
		 $pdf->Line($margemEsquerda+40+$largColu*4,$ybase,$margemEsquerda+40+$largColu*4,$cotaY19);//
         //conjunto de linhas verticasi da direita
		 $pdf->Line($margemEsquerda+40+$metade+$largColu*0,$ybase,$margemEsquerda+40+$metade+$largColu*0,$cotaY19);//
		 $pdf->Line($margemEsquerda+40+$metade+$largColu*1,$ybase,$margemEsquerda+40+$metade+$largColu*1,$cotaY19);//
		 $pdf->Line($margemEsquerda+40+$metade+$largColu*2,$ybase,$margemEsquerda+40+$metade+$largColu*2,$cotaY19);//
		 $pdf->Line($margemEsquerda+40+$metade+$largColu*3,$ybase,$margemEsquerda+40+$metade+$largColu*3,$cotaY19);//
		 $pdf->Line($margemEsquerda+40+$metade+$largColu*4,$ybase,$margemEsquerda+40+$metade+$largColu*4,$cotaY19);//
         //linha vertical do meio
		 $pdf->Line($margemEsquerda+$metade,$ybase,$margemEsquerda+$metade,$cotaY19);//
   


		 $pdf->setXY($margemEsquerda,$cotaY5+2);
		 $pdf->cell(40,$altura+1,utf8_decode('REPETIÇÕES'),0,0,'C');
		 $pdf->setXY($margemEsquerda+$metade,$cotaY5+2);
		 $pdf->cell(40,$altura*1,utf8_decode('REPETIÇÕES'),0,0,'C');

		 $pdf->setXY($margemEsquerda+40,$cotaY5);
		 $pdf->cell($largColu,$altura,'A',0,0,'C');
		 $pdf->cell($largColu,$altura,'B',0,0,'C');
		 $pdf->cell($largColu,$altura,'C',0,0,'C');
		 $pdf->cell($largColu,$altura,'D',0,0,'C');
		 $pdf->cell($largColu,$altura,'MED',0,0,'C');
                     					 
		 $pdf->setXY($margemEsquerda+40+$metade,$cotaY5);
		 $pdf->cell($largColu,$altura,'A',0,0,'C');
		 $pdf->cell($largColu,$altura,'B',0,0,'C');
		 $pdf->cell($largColu,$altura,'C',0,0,'C');
		 $pdf->cell($largColu,$altura,'D',0,0,'C');
		 $pdf->cell($largColu,$altura,'MED',0,0,'C');

		 $pdf->setXY($margemEsquerda+40,$cotaY6);
		 $pdf->cell($largColu,$altura,'(100)',0,0,'C');
		 $pdf->cell($largColu,$altura,'(100)',0,0,'C');
		 $pdf->cell($largColu,$altura,'(100)',0,0,'C');
		 $pdf->cell($largColu,$altura,'(100)',0,0,'C');
		 $pdf->cell($largColu,$altura,'(100)',0,0,'C');
		 
		 $pdf->setXY($margemEsquerda+40+$metade,$cotaY6);
		 $pdf->cell($largColu,$altura,'(100)',0,0,'C');
		 $pdf->cell($largColu,$altura,'(100)',0,0,'C');
		 $pdf->cell($largColu,$altura,'(100)',0,0,'C');
		 $pdf->cell($largColu,$altura,'(100)',0,0,'C');
		 $pdf->cell($largColu,$altura,'(100)',0,0,'C');
		 
//setor de normais duras etc					 
		 $pdf->setXY($margemEsquerda,$cotaY7);
		 $pdf->cell($metade,$altura,'NORMAIS',0,0,'L');
		 $pdf->cell($metade,$altura,'NORMAIS',0,0,'L');
		 
		 $pdf->setXY($margemEsquerda,$cotaY9);
		 $pdf->cell($metade,$altura,'Total:',0,0,'L');
		 $pdf->cell($metade,$altura,'Total',0,0,'L');

		 $pdf->setXY($margemEsquerda,$cotaY10);
		 $pdf->cell($metade,$altura,'ANORMAIS',0,0,'L');
		 $pdf->cell($metade,$altura,'ANORMAIS',0,0,'L');
		 
		 $pdf->setXY($margemEsquerda,$cotaY12);
		 $pdf->cell($metade,$altura,'Total:',0,0,'L');
		 $pdf->cell($metade,$altura,'Total:',0,0,'L');

		 $pdf->setXY($margemEsquerda,$cotaY13);
		 $pdf->cell($metade,$altura,'DURAS ( ) DORM ( )',0,0,'L');
		 $pdf->cell($metade,$altura,'DURAS ( ) DORM ( )',0,0,'L');

		 $pdf->setXY($margemEsquerda,$cotaY15);
		 $pdf->cell($metade,$altura,'Total:',0,0,'L');
		 $pdf->cell($metade,$altura,'Total:',0,0,'L');

		 $pdf->setXY($margemEsquerda,$cotaY16);
		 $pdf->cell($metade,$altura,'MORTAS',0,0,'L');
		 $pdf->cell($metade,$altura,'MORTAS',0,0,'L');

		 $pdf->setXY($margemEsquerda,$cotaY18);
		 $pdf->cell($metade,$altura,'Total:',0,0,'L');
		 $pdf->cell($metade,$altura,'Total:',0,0,'L');
					 
		 $pdf->setXY($margemEsquerda,$cotaY19);
		 $pdf->cell($metade,$altura,utf8_decode('1ª').'CONTAGEM Data/Rubrica:      /     /'.$anoX,1,0,'L');
		 $pdf->cell($metade,$altura,utf8_decode('1ª').'CONTAGEM Data/Rubrica:      /     /'.$anoX,1,0,'L');
		 $pdf->setXY($margemEsquerda,$cotaY20);
		 $pdf->cell($metade,$altura,utf8_decode('2ª').'CONTAGEM Data/Rubrica:      /     /'.$anoX,1,0,'L');
		 $pdf->cell($metade,$altura,utf8_decode('2ª').'CONTAGEM Data/Rubrica:      /     /'.$anoX,1,0,'L');
		 
		 $pdf->SetFont('Arial','B',8);
		 $pdf->setXY($margemEsquerda,$cotaY21);
		 $pdf->cell($larguraUtil,$altura,utf8_decode('TESTE DE TETRAZÓLIO'),1,0,'C');

		 $pdf->SetFont('Arial','',6);
		 $pdf->setXY($margemEsquerda,$cotaY22);
		 $pdf->cell(30,$altura*2,utf8_decode('Pré-Condicion.'),1,0,'C');
		 $pdf->setXY($margemEsquerda+$metade,$cotaY22);
		 $pdf->cell(30,$altura*2,utf8_decode('Coloração'),1,0,'C');

		 $pdf->setXY($margemEsquerda+30,$cotaY22);
		 $pdf->cell($metade-30,$altura,utf8_decode('Início:            /       /'.$anoX.'           às               h'),1,0,'L');
		 $pdf->setXY($margemEsquerda+30+$metade,$cotaY22);
		 $pdf->cell($metade-30,$altura,utf8_decode('Início:            /       /'.$anoX.'           às               h'),1,0,'L');
		 $pdf->setXY($margemEsquerda+30,$cotaY23);
		 $pdf->cell($metade-30,$altura,utf8_decode('Término:            /       /'.$anoX.'           às               h'),1,0,'L');
		 $pdf->setXY($margemEsquerda+30+$metade,$cotaY23);
		 $pdf->cell($metade-30,$altura,utf8_decode('Término:            /       /'.$anoX.'           às               h'),1,0,'L');

		 $pdf->setXY($margemEsquerda,$cotaY24);
		 $pdf->cell($metade,$altura,utf8_decode('Tipo Pré-Cond.:'),1,0,'L');
		 $pdf->cell(55,$altura,utf8_decode('Temperatura:                     °C '),1,0,'L');
		 $pdf->cell(42,$altura,utf8_decode('Conc da Sol:            %'),1,0,'L');

		 $pdf->setXY($margemEsquerda,$cotaY25);
		 $pdf->cell($metade,$altura,utf8_decode('Data/Rubrica:        /       /').$anoX,1,0,'L');
		 $pdf->cell($metade,$altura,utf8_decode('Data/Rubrica:        /       /').$anoX,1,0,'L');

		 $pdf->SetFont('Arial','',8);
		 $pdf->setXY($margemEsquerda,$cotaY26);
		 $pdf->cell($larguraUtil,$altura,utf8_decode('POTENCIAL DE VIABILIDADE'),1,0,'C');

         $terco=$larguraUtil/3; 
		 $pdf->SetFont('Arial','',7);
		 $pdf->setXY($margemEsquerda,$cotaY27);
		 $pdf->cell($terco,$altura,utf8_decode('1ª Repetição'),1,0,'C');
		 $pdf->cell($terco,$altura,utf8_decode('2ª Repetição'),1,0,'C');
		 $pdf->cell($terco,$altura,utf8_decode('MÉDIA'),1,0,'C');
		
		 $pdf->setXY($margemEsquerda,$cotaY28);$conteudo="Viáveis       ";
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		
		 $pdf->setXY($margemEsquerda,$cotaY29);$conteudo="Não Viáveis   ";
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		
		 $pdf->setXY($margemEsquerda,$cotaY30);$conteudo="Mortas:       ";
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		
		 $pdf->setXY($margemEsquerda,$cotaY31);$conteudo="Duras:        ";
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		
		 $pdf->setXY($margemEsquerda,$cotaY32);$conteudo="Dano Mecânico ";
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		
		 $pdf->setXY($margemEsquerda,$cotaY33);$conteudo="Dano Percevejo";
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		
		 $pdf->setXY($margemEsquerda,$cotaY34);$conteudo="Dano Umidade  ";
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		
		 $pdf->setXY($margemEsquerda,$cotaY35);$conteudo="Vigor         ";
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		 $pdf->cell($terco,$altura,utf8_decode($conteudo)."            %",1,0,'L');
		
		 $pdf->SetFont('Arial','B',8);
		 $pdf->setXY($margemEsquerda,$cotaY36);
		 $pdf->cell(120,$altura,'TESTE DE VIGOR',0,0,'C');
		 $pdf->SetFont('Arial','',7);
		 $pdf->cell(74,$altura,'Data/Rub.:      /     /'.$anoX,0,0,'C');
		 $pdf->setXY($margemEsquerda,$cotaY37);
		 $pdf->cell(120,$altura,utf8_decode('PRIMEIRA CONTAGEM (        º dia):             %'),0,0,'L');

		 $pdf->SetFont('Arial','B',8);
		 $pdf->setXY($margemEsquerda,$cotaY44);
		 $pdf->cell(120,$altura,utf8_decode('DETERMINAÇÕES ADICIONAIS'),0,0,'C');
		 $pdf->SetFont('Arial','',7);
		 $pdf->cell(74,$altura,'Data/Rub.:      /     /'.$anoX,0,0,'C');
		 $pdf->setXY($margemEsquerda,$cotaY45);
		 $pdf->cell(120,$altura,utf8_decode('PMS (Peso de Mil Sementes):                    g.'),0,0,'L');


         //linhas horizontasi finais
         $yBase=$cotaY37;
		 for($i=0;$i<=17;$i++):
           $pdf->Line($margemEsquerda,$yBase+$i*$altura,$margemDireita,$yBase+$i*$altura);//

         endfor;
					 
					 /*
					 
				     ####################################CABECALHO################################################
					 
					 
					 
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=60;$posicaoCab2=185;
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	//linha vertical a direita do timbre
					 $pdf->Image('ImagensClientes/i' .$idLabo.'.JPG',11,6,48,23,'JPG');//vai dentro de projeto28php/Imagens


			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();



					 $pdf->SetFont('Arial','BU',10);
					 $pdf->setXY($posicaoCab1,5);
					 $pdf->Cell(145,5,'FICHA DE ANALISE DE SEMENTES',0,1,'L');//lab nome
					 $pdf->SetFont('Arial','',10);
					 $pdf->setXY($posicaoCab1,10); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');//lab nome
					 $pdf->Cell($posicaoCab1-$margemEsquerda);$pdf->Cell(145,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');
					 
				     ################IDENTIFICACAO DA AMOSTRA##################################################
				 	 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				         $largo1=95;           
				         $largo2=95;           
					 $pdf->SetXY($margemEsquerda,$cota2);
				  	 $pdf->SetFont('Arial','B',10);
					 $pdf->Cell($largo1,5,'Amostra:'.$vetorCapturaGeral[1],0,0,'L'); //imprime a amostra
					 //aqui inverte a data
					 $data=$vetorCapturaGeral[36];
					 $dia=substr($data,8,2);
					 $mes=substr($data,5,2);
					 $ano=substr($data,0,4);//ano   1951-02-28
					 $dataFinal=$dia."/".$mes."/".$ano;
					 $pdf->Cell($largo2,5,'Data Recebimento:'.$dataFinal,0,1,'L');//imprme a data
				     $pdf->SetFont('Arial','',8);
					 $pdf->Cell($largo1,4.5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L');$pdf->Cell($largo2,4.5,'Cultivar:'.$vetorCapturaGeral[31],0,1,'L');
					 $pdf->Cell($largo1,4.5,'Safra:'.$vetorCapturaGeral[34],0,0,'L');$pdf->Cell($largo2,4.5,'Categoria:'.$vetorCapturaGeral[33],0,1,'L');
					 $pdf->Cell($largo1,4.5,'Remetente:'.$vetorCapturaGeral[42],0,0,'L');$pdf->Cell($largo2,4.5,utf8_decode('Função:'.$vetorCapturaGeral[43]),0,1,'L');
					 $pdf->Cell(194,4.5,'Testes a realizar:'.$vetorCapturaGeral[44],0,0,'L');						 ##############cria setor de purezaaaa###############################################3
					 $pdf->Line($margemEsquerda,$cota3,$margemDireita,$cota3);//
					 $largo1=35;	 $largo2=13;	 $largo3=15;	 $largo4=15;	 $largo5=15;
					 $posicaox1=50; $posicaox2=63; $posicaox3=76; $posicaox4=88;
					 $posicaoMeio=97;
				         $altura=4.5;
					 $cota3a=$cota3+1*4.5;
					 $cota3b=$cota3+2*4.5;
					 $cota3c=$cota3+3*4.5;
					 $cota3d=$cota3+4*4.5;
					 $cota3e=$cota3+5*4.5;
					 $cota3f=$cota3+6*4.5;
					 $cota3g=$cota3+7*4.5;
					 $pdf->Line($margemEsquerda,$cota3a,$margemDireita,$cota3a);//
				         //as linhas verticais de pureza
					 $posicao1=$margemEsquerda+$largo1;                         $pdf->Line($posicao1,$cota3a,$posicao1,$cota4);//
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 $pdf->Line($posicao2,$cota3a,$posicao2,$cota4);//
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         $pdf->Line($posicao3,$cota3a,$posicao3,$cota4);//
					 $posicao4=$margemEsquerda+$largo1+$largo2+$largo2+$largo2; $pdf->Line($posicao4,$cota3a,$posicao4,$cota4);//
				         //as linhas horizontatis  de pureza
					 $pdf->Line($margemEsquerda,$cota3b,$posicaoMeio,$cota3b);//
					 $pdf->Line($margemEsquerda,$cota3c,$posicaoMeio,$cota3c);//
					 $pdf->Line($margemEsquerda,$cota3d,$posicaoMeio,$cota3d);//
					 $pdf->Line($margemEsquerda,$cota3e,$posicaoMeio,$cota3e);//
					 $pdf->Line($margemEsquerda,$cota3f,$posicaoMeio,$cota3f);//
					 //$pdf->Line($margemEsquerda,$cota4,$margemDireita,$cota4);//
					 $pdf->Line($posicaoMeio,$cota3a,$posicaoMeio,$cota4);//linha vertical final de pureza e inicio de naturaza do material inerte

				         //textos de pureza
					 $pdf->SetXY($margemEsquerda,$cota3); $pdf->Cell(194,4.5,utf8_decode('ANÁLISE DE PUREZA: (em').$pdf->vetorFicha[9].'g)',1,1,'C',1);	
					 $pdf->SetXY($posicaox1,$cota3a);$pdf->Cell(30,4.5,'g',0,0,'L');	
					 $pdf->SetXY($posicaox2,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
					 $pdf->SetXY($posicaox3,$cota3a);$pdf->Cell(7,4.5,'g',0,0,'L');	
					 $pdf->SetXY($posicaox4,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
					 $pdf->SetXY($posicaoMeio,$cota3a);$pdf->Cell(95,4.5,'Natureza do Material Inerte',0,0,'C');	
					 $pdf->SetXY($margemEsquerda,$cota3b); $pdf->Cell(50,4.5,'Amostra de trabalho',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3c); $pdf->Cell(50,4.5,'Sementes Puras',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3d); $pdf->Cell(50,4.5,'Outras sementes',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3e); $pdf->Cell(50,4.5,'Material inerte',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3f); $pdf->Cell(50,4.5,'Peso final',0,0,'L');	
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
				         $cota4a=$cota4+1*4.5;
				         $cota4b=$cota4+2*4.5;
				         $cota4c=$cota4+3*4.5;
					 $largura1=48;$largura2=49;$largura3=$largura1+$largura2;
					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota4);$pdf->cell(194,4.5,utf8_decode('VERIFICAÇÃO DE OUTRAS CULTIVARES: (em').$pdf->vetorFicha[7].'g)',1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4a);$pdf->cell(194,4.5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO: (em').$pdf->vetorFicha[8].'g)',1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4b);
					 $pdf->cell($largura1,4.5,'SILVESTRES',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'OUTRAS ESP. CULTIVADAS',1,0,'C');	 
					 $pdf->cell($largura3,4.5,'NOCIVAS',1,1,'C');	 
					 $pdf->setXY($posicao2,$cota4c);
					 $pdf->cell($largura1,4.5,'TOLERADAS',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'PROIBIDAS',1,1,'C');
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
				         //tres linhas horizontais separando silvestres,nocivas e oesp          	
					 $pdf->Line($posicao1,$cota4c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota4c,$posicao2,$cota5);
					 $pdf->Line($posicao3,$cota4c,$posicao3,$cota5);
				     ################inicio da parte de GERMINACAO########################################
				         $umQuarto=48.5;
				         $cota5a=$cota5+1*4.5;
				         $cota5b=$cota5+2*4.5;
				         $cota5c=$cota5+3*4.5;
				         $cota5d=$cota5+4*4.5;
				         $cota5e=$cota5+5*4.5;
				         $posicaoMeio=97; 
					 $pdf->setXY($margemEsquerda,$cota5);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO(I)'),1,0,'C',1);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO(II)'),1,0,'C',1);

					 $pdf->setXY($margemEsquerda,$cota5a);
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Concluído:'),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Concluído:'),1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5b);
					 $pdf->cell($umQuarto,4.5,'Tratamento:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Tratamento:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5c);
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 
					 $pdf->setXY($margemEsquerda,$cota5d);
					 $pdf->cell($umQuarto,4.5,'Substrato:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Substrato:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota5e);
					 $pdf->cell($umQuarto,4.5,'Analista:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Data:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Analista:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Data:',1,0,'L');
					 
				     ################iPARTE  ONDE VAO AS LEITURAS#######################################
				     
					 $vetor="";
					 $pdf->Line($margemEsquerda,$cota7,$margemDireita,$cota7);//linha horizontal abaixo da grade do teste pureza
				         $largo[1]=20;
					 $larguraMenor=14;
					 for($i=2;$i<=9;$i++)
					 {
					     $largo[$i]=$larguraMenor;
						 $largo[$i+9]=$larguraMenor;
				         }		  
					 $largo[10]=20;
					 $vetor="";
					 $vetor[1][2]="A";$vetor[1][3]="B";$vetor[1][4]="C";$vetor[1][5]="D";$vetor[1][6]="Media";
					 $vetor[1][11]="A";$vetor[1][12]="B";$vetor[1][13]="C";$vetor[1][14]="D";$vetor[1][15]="Media";
					 $vetor[2][1]=$vetor[2][10]="Normais:";
					 $vetor[6][1]=$vetor[6][10]=utf8_decode("Soma");

					 $vetor[7][1]=$vetor[7][10]="Defeit.;";
					 $vetor[11][1]=$vetor[11][10]=utf8_decode("Soma");

					 $vetor[12][1]=$vetor[12][10]="Infec.";
					 $vetor[16][1]=$vetor[16][10]=utf8_decode("Soma");

					 $vetor[17][1]=$vetor[17][10]="Mortas";
					 $vetor[19][1]=$vetor[19][10]=utf8_decode("Soma");


					 $vetor[20][1]=$vetor[20][10]="Duras";
					 $vetor[22][1]=$vetor[22][10]="Dormentes";
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 for($i=1;$i<=$colunas;$i++)$finalHorizontal+=$largo[$i];
					 $posicao=$margemEsquerda;
					 $pdf->SetLineWidth($fino);
					 $pdf->SetLineWidth($fino);
					 $linhas=23;
					 $colunas=5;
                     //impime a metade da esquerda
				     $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetXY($margemEsquerda,$linhaCalculada);
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 $pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],4.5,$vetor[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=4.5;
				     }
                     //impime a metade da direita
                     $margemEsquerda1=$margemEsquerda+97; 
				     $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetXY($margemEsquerda1,$linhaCalculada);
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 $pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],4.5,$vetor[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=4.5;
				     }
					 //imprime a palavra media
				     $linhaCalculada=$cota7;
					 $pdf->SetXY($margemEsquerda+76,$linhaCalculada);
					 $pdf->Cell(21,4.5,'Media',1,0,'C');	
					 $pdf->SetXY($margemEsquerda1+76,$linhaCalculada);
					 $pdf->Cell(21,4.5,'Media',1,0,'C');	
					 //imprime os separadores curtas abaixo da palavra[ media  ]
					 //primeiras duas linhas curtas
				     $cotaLinha1=$linhaCalculada+27;
					 $pdf->Line($margemEsquerda+76,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+76,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //segundas linhas curtas
				     $cotaLinha1=$linhaCalculada+49.5;
					 $pdf->Line($margemEsquerda+76,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+76,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //terceiras linhas curtas(antes de mortas)
				     $cotaLinha1=$linhaCalculada+72;
					 $pdf->Line($margemEsquerda+76,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+76,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //quartas linhas curtas
				     $cotaLinha1=$linhaCalculada+85.5;
					 $pdf->Line($margemEsquerda+76,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+76,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //quintas linhas curtas
				     $cotaLinha1=$linhaCalculada+94.5;
					 $pdf->Line($margemEsquerda+76,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+76,$cotaLinha1,$margemDireita,$cotaLinha1);
					 //sextas linhas curtas
				     $cotaLinha1=$linhaCalculada+103.5;
					 $pdf->Line($margemEsquerda+76,$cotaLinha1,$margemEsquerda1,$cotaLinha1);
					 $pdf->Line($margemEsquerda1+76,$cotaLinha1,$margemDireita,$cotaLinha1);
					 
					########################rodape####################
				     $pdf->setXY($margemEsquerda,$cota8);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(100,5,utf8_decode('Outras determinações:'),0,1,'L');	 
				     $pdf->setXY($margemEsquerda,$cota8+5);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(40,4.5,utf8_decode('Responsável técnico:').utf8_decode($pdf->vetorTecnico[0]),0,1,'L');	

				     $pdf->setXY($margemEsquerda,$cotaFinal);
					 $pdf->SetFont('Arial','B',7);
					 $pdf->cell(20,4,'SilasNet',1,1,'L');	 
					  */ 
				 endif;
            
             endwhile; //este while encerra a colecao de amostras   
			 
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
